<div fxFlex fxLayout="row" class="container">
  <h1 class="kd-header">Candidates</h1>
  <mat-divider></mat-divider>
  <div class="kd-div-top-spacer"></div>

  <div *ngIf="showCandidates(); else noCandidates">
    <table class="kd-candidates-table">
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th>Phone</th>
        <th>Mark</th>
        <th>Position</th>
        <th>Comment</th>
        <th>CV</th>
        <th>Edit</th>
        <th>Hire</th>
        <th>Archive</th>
      </tr>
      <tr *ngFor="let candidate of candidates">
        <td>{{ candidate.firstname }}</td>
        <td>{{ candidate.lastname }}</td>
        <td>{{ candidate.email }}</td>
        <td>{{ candidate.phone }}</td>
        <td>{{ candidate.mark }}</td>
        <td>{{ candidate.position }}</td>
        <td>{{ candidate.comment }}</td>
        <td>
          <a mat-icon [href]="candidate.cv" target="_blank" class="kd-inline">
            <mat-icon class="kd-link">link</mat-icon>
          </a>
        </td>
        <td>
          <mat-icon class="kd-edit kd-inline" (click)="onOpenCandidateEditDialog(candidate)">
            create
          </mat-icon>
        </td>
        <td>
          <mat-icon class="kd-hire kd-inline" (click)="onHireCandidate(candidate)">
            person_add
          </mat-icon>
        </td>
        <td>
          <mat-icon class="kd-archive-danger kd-inline" (click)="onArchiveCandidate(candidate)">
            archive
          </mat-icon>
        </td>
      </tr>
    </table>
  </div>
  <ng-template #noCandidates>
    <h3>No candidates to review</h3>
  </ng-template>

  <div class="kd-div-top-spacer"></div>

  <button class="btn kd-add-candidate"
          (click)="onOpenCandidateCreationDialog()">
    <div class="kd-inline">
      <mat-icon>add_box</mat-icon>
      <span class="kd-inline-text">Add candidate</span>
    </div>
  </button>

  <div class="kd-div-top-spacer"></div>
  <div style="padding-top: 50px;"></div>

  <div class="kd-inline">
    <mat-icon>library_books</mat-icon>
    <span class="kd-inline-text kd-hover" (click)="onShowArchive()">
      {{ showArchiveText }}
    </span>
  </div>
  <div style="padding-top: 30px;"></div>

  <div *ngIf="authService.isLoggedOwner() && showArchive">
    <h1 class="kd-header">Archive</h1>
    <mat-divider></mat-divider>
    <div class="kd-div-top-spacer"></div>

    <div *ngIf="showArchivedCandidates(); else emptyArchive">
      <table class="kd-candidates-table">
        <tr>
          <th>Firstname</th>
          <th>Lastname</th>
          <th>Email</th>
          <th>Phone</th>
          <th>Mark</th>
          <th>Position</th>
          <th>Comment</th>
          <th>CV</th>
          <th>Unarchive</th>
          <th>Remove</th>
        </tr>
        <tr *ngFor="let candidate of archivedCandidates">
          <td>{{ candidate.firstname }}</td>
          <td>{{ candidate.lastname }}</td>
          <td>{{ candidate.email }}</td>
          <td>{{ candidate.phone }}</td>
          <td>{{ candidate.mark }}</td>
          <td>{{ candidate.position }}</td>
          <td>{{ candidate.comment }}</td>
          <td>
            <a mat-icon [href]="candidate.cv" target="_blank" class="kd-inline">
              <mat-icon class="kd-link">link</mat-icon>
            </a>
          </td>
          <td>
            <mat-icon class="kd-unarchive kd-inline" (click)="onUnarchiveCandidate(candidate)">
              unarchive
            </mat-icon>
          </td>
          <td>
            <mat-icon class="kd-remove-danger" (click)="onRemoveCandidate(candidate)">
              clear
            </mat-icon>
          </td>
        </tr>
      </table>

      <div class="kd-div-top-spacer"></div>

      <button class="btn kd-clear-archive" (click)="onClearArchive()">
        <div class="kd-inline">
          <mat-icon>delete_forever</mat-icon>
          <span class="kd-inline-text">Clear archive</span>
        </div>
      </button>
    </div>
    <ng-template #emptyArchive>
      <h3>Archive is empty</h3>
    </ng-template>

    <div class="kd-div-top-spacer"></div>
  </div>

</div>
